//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


// demo2, a simple video player
filename = SCI + '/contrib/evp/video/ww.mpg';

if MSDOS then filename=strsubst(filename,'/','\'),end

open_win = 0;

in = video_open( filename );
[frame, num ] = video_info(in)
for i=1:num
	im = video_read_frame(in);
	if MSDOS then
		sleep(30);
		imdraw(im, 0, 0,0,352, 288);
	else
		if open_win==0 then
			open_win = 1;
			global count;
			count = count+1;
			[h,w,c]=size(im);
			TCL_EvalStr( 'toplevel .imdraw_window'+string(count) );
			TCL_EvalStr( 'global imdraw_window_id'+string(count) );
			TCL_EvalStr( 'set imdraw_window_id  [winfo id .imdraw_window'+string(count)+'] ');
			TCL_EvalStr( 'wm geometry .imdraw_window'+string(count) +' ' + string(w) +'x'+ string(h) );
			ID = TCL_GetVar( 'imdraw_window_id' );
		end;
		imdraw ( im, ID, 0,0,0,0 );
	end;
end
video_close(in);

