//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


//--------------------About Gauss_sharp----------------------
 //The Lap_sharp is a Scilab function.We complete it by a C 
 //interface program gauss_sharp(srcmat,desmat).we get an 
 //image sharped by the Gauss moudling board.
//Gauss moudling board:
//  |1,2,1|
 // |2,4,2|
//  |1,2,1|
 //
//
 // Author  zhou xi yue    Date  Aug 5,2006
 //
function pImg=Gauss_sharp(im)  

	 if type(im)~=17 then
   		error('Error arg type');
   end;
   [m,n,k]=size(im);
  
   in=zeros(m,n,3);
   in=uint8(in);
   in(:,:,1)=gauss_sharp(im(:,:,1),in(:,:,1));
   in(:,:,2)=gauss_sharp(im(:,:,2),in(:,:,2));
   in(:,:,3)=gauss_sharp(im(:,:,3),in(:,:,3));
   pImg=uint8(in);
  