//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


function img=imThreshold(im,rate)
//rate:[0,100]
    if type(im)~=17
        error("Error arg type!");
    end;
    if rate<0 | rate>100
        error("You passed me a wrong rate!");
    end;
    img=im;
    rate=rate*2.55;
    imTemp=double(im(:,:,1))*0.11+double(im(:,:,2))*0.59+double(im(:,:,3))*0.3;
    imTemp=1.*(imTemp>rate)*255;
    img(:,:,1)=imTemp;
    img(:,:,2)=imTemp;
    img(:,:,3)=imTemp;
