//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


///----------------------About Mosaic-------------------------
 //The Mosaic is a Scilab function.We complete it by a C inte-
 //rface program mosaic(srcmat,mm).The mm is a rang parameter 
 //of mosaic,it must be an integer.
 //
///
 // Author  zhou xi yue    Date  Aug 8,2006
 //
  function pImg=Mosaic(im,mm) 
   //im=imread(filename);
   mm=int(mm);
   if type(im)~=17 then
   		error('Error arg type');
   end;
   [m,n,k]=size(im);
  
   in=zeros(m,n,3);
   in(:,:,1)=mosaic(im(:,:,1),mm);
   in(:,:,2)=mosaic(im(:,:,2),mm);
   in(:,:,3)=mosaic(im(:,:,3),mm);
   pImg=uint8(in);