//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//



/*-----------------------Aabout int_blur----------------------
 *This is a C interface  routine for Scilab. We can get an 
 *image  blured by this function.There are 2 input varia-
 *bles.The first is a matrix of an source image.The second  
 *is a destination  matrix,we don't need to malloc some me-
 *mory space for the destination matrix.In addtion,thers is
 *a output variable,it is the destination matrix.  
 *----------------------------------------------------------*/
/*
 * Author  zhou xi yue    Date  Aug 7,2006
 */
#include "stack-c.h"
#include <stdlib.h>
#include <stdio.h>
#include "string.h"
int int_blur(char *fname)
{
	int i,j;
	static  int l1,m1,n1,l2,m2,n2,l3,m3,n3,l4,m4,n4,l5;
	static  int  minlhs=1, maxlhs=1,minrhs=2,maxrhs=2;
  double  tmp=0;
	SciIntMat IntMat1;
	SciIntMat RetMat1;
	
	CheckRhs(minrhs,maxrhs);
	CheckLhs(minlhs,maxlhs);
	GetRhsVar(1,"I",&m1,&n1,&IntMat1);
  GetRhsVar(2,"I",&m1,&n1,&RetMat1);
  RetMat1 = IntMat1;
	
  for(i=2;i<m1-2;i++)
  		for(j=2;j<n1-2;j++)
  		{
  			  ((unsigned char*)(RetMat1.D))[i+j*m1]=((int)(((unsigned char*)(IntMat1.D))[i+j*m1]<<2)
  			                                               +((unsigned char*)(IntMat1.D))[i-1+j*m1]
  			                                               +((unsigned char*)(IntMat1.D))[i+1+j*m1]
  			                                               +((unsigned char*)(IntMat1.D))[i+(j-1)*m1]
  			                                               +((unsigned char*)(IntMat1.D))[i+(j+1)*m1])>>3;
  			}
  		
	CreateVarFromPtr(2,"I",&(RetMat1.m), &(RetMat1.n), &RetMat1 ); 
	LhsVar(1)=2;
  return 0;
}

