//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


/*-----------------------Aabout int_mosaic-----------------
 *This is a C interface  routine for Scilab. We can get an 
 *image  mosaiced by this function.There are 2 input varia-
 *bles.The first is a matrix of an source image.The second  
 *is a parameter of mosaic.In addtion,thers is a output var-
 *iable,it is the destination matrix.  
 *----------------------------------------------------------*/
/*
 * Author  zhou xi yue    Date  Aug 8,2006
 */
#include "stack-c.h"
#include <stdlib.h>
#include <stdio.h>
#include "string.h"
int int_mosaic(char *fname)
{
	int i,j,m,n;
	
	static int l1,m1,n1,l2,m2,n2,l3,m3,n3,l4,m4,n4,l5;
	static int  minlhs=1, maxlhs=1,minrhs=2,maxrhs=2;
  double tmp=0,mm;
  
	SciIntMat IntMat1;
	CheckRhs(minrhs,maxrhs);
	CheckLhs(minlhs,maxlhs);
	GetRhsVar(1,"I",&m1,&n1,&IntMat1);
	GetRhsVar(2,"d",&m2,&n2,&l2);
	mm=stk(l2)[0];
  for(i=0;i<m1-mm+1;i+=mm)
    for(j=0;j<n1-mm+1;j+=mm)
       {     tmp=0;
             for(m=0;m<mm;m++)
                for(n=0;n<mm;n++)
               {
               	   tmp+=(int)((unsigned char*)(IntMat1.D))[i+m+(j+n)*m1];
               	  
               	}
               	tmp=tmp/(mm*mm);
               	
             for(m=0;m<mm;m++)
                for(n=0;n<mm;n++)
               {
               	   ((unsigned char*)(IntMat1.D))[i+m+(j+n)*m1]=tmp;
               	}
		   }
 
	CreateVarFromPtr(2,"I",&(IntMat1.m), &(IntMat1.n), &IntMat1 ); 
	LhsVar(1)=2;

  return 0;
}

