//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


// n = get_time()

#include <windows.h>
#include "stack-c.h"


// interface for GetTickCount API
int int_get_time( char* fname)
{
	int m1, n1;
	int n, *pret=&n;
	
	CheckRhs(0,0) ;
	CheckLhs(1,1) ;

	n = GetTickCount()/1000;
	m1 = n1 =1;
	CreateVarFromPtr(1, "i", &m1, &n1, &pret);
	LhsVar(1) = 1;

	return 0;
}

// interface for Sleep API
int int_sleep( char *fname)
{
	int m1, n1, l1;
	CheckRhs(1,1) ;
	CheckLhs(0,1) ;
	GetRhsVar(1, "d", &m1, &n1, &l1);
	Sleep( *stk(l1) );	
	return 0;
}	
