//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


function img=bright(im,rate)

////rate:[-100,100]

if type(im)<>17
	error('Error arg type!');
end;

if abs(max(rate))>100
	error('the second arg <rate> is out of [-100,100]');
elseif rate==0
	img=im;
elseif rate<0
	rate=100+rate;
else 
	rate=3*rate+97;
end;
if rate<>0
    im=double(im).*rate/100;
    a=(im>255)*1;
    img=uint8((1-a).*im+a*255);
end;

