//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


function img=col2gray(im,my_select)

//

    if type(im)~=17
    	error("Error arg type!");
    end;
    img=im;
    im1=im(:,:,1);
    im2=im(:,:,2);
    im3=im(:,:,3);

    if my_select==1
        imTemp=im1/3+im2/3+im3/3;
    elseif my_select==2
        imTemp=max(im1,im2,im3);
    elseif my_select==3
        imTemp=uint8(double(im1)*0.11+double(im2)*0.59+double(im3)*0.3);
    else
        error("you passed me a wrong select!");
    end;
    img(:,:,1)=imTemp;
    img(:,:,2)=imTemp;
    img(:,:,3)=imTemp;

