//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


function img=color_balance(im,red,green,blue)

    if type(im)~=17
        error("Error arg type!");
    end;
    
    if red==0 & green==0 & blue==0
        img=im;
    else
        im1=uint16(im(:,:,1))+red;
        im2=uint16(im(:,:,2))+green;
        im3=uint16(im(:,:,3))+blue;

        img=uint16(im);
        img(:,:,1)=im1;
        img(:,:,2)=im2;
        img(:,:,3)=im3;
        a=1.*(img>255);
        b=1.*(img<0);
        img=255*a+(1-a).*img;
        img=uint8((1-b).*img);
    end;
