//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


function img=contrast(im,rate)

//-100<rate<100;

    if type(im)~=17
    	error('wrong arg');
    end
    if rate==0
    	img=im;
    
    else
	contrast=((100+rate)/100)^2;
        im=((double(im)/255-0.5)*contrast+0.5)*255;
        a=1.*(uint16(im)>255);	//>255?
        im=255*a+(1-a).*uint16(im);
        b=1.*(im<0);		//<0?
        img=uint8((1-b).*im);
    end;

