//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


function img=emboss(im,n)

[height,width]=size(im);
img=im;
if n==1
	im1=im(1:height-1,1:width-1,:);
	img(2:height,2:width,:)=im(2:height,2:width,:)-im1+128;
elseif n==2
	im1=im(1:height-1,2:width,:);
	img(2:height,2:width,:)=im(2:height,2:width,:)-im1+128;
elseif n==3
	im1=im(1:height-1,3:width,:);
	img(2:height,2:width-1,:)=im(2:height,2:width-1,:)-im1+128;
elseif n==4
	im1=im(2:height,1:width-1,:);
	img(2:height,2:width,:)=im(2:height,2:width,:)-im1+128;
elseif n==6
	im1=im(2:height,3:width,:);
	img(2:height,2:width-1,:)=im(2:height,2:width-1,:)-im1+128;
elseif n==7
	im1=im(3:height,1:width-1,:);
	img(2:height-1,2:width,:)=im(2:height-1,2:width,:)-im1+128;
elseif n==8
	im1=im(3:height,2:width,:);
	img(2:height-1,2:width,:)=im(2:height-1,2:width,:)-im1+128;
elseif n==9
	im1=im(3:height,3:width,:);
	img(2:height-1,2:width-1,:)=im(2:height-1,2:width-1,:)-im1+128;
end;
