//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmil.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


function img=paint(im,red,green,blue)

    if type(im)~=17
        error("Error arg type!");
    end;
    
    gray=double(im(:,:,1))*0.59+double(im(:,:,2))*0.30+double(im(:,:,3))*0.11;
    im(:,:,1)=(red.*gray)/255;
    im(:,:,2)=(green.*gray)/255;
    im(:,:,3)=(blue.*gray)/255;
    img=uint8(im);

