//   This file is part of Scilab Aurora 
//	( http://scilab-aurora.sourceforge.net/ )
//   Copyright (C) 2006  XMU Scilab Aurora Team
//   Authors: (Scilab Aurora Team)
//     Jiang Fengbin <jonbo@126.com>
//     Lin Chuanwen <fjjllcw695@163.com>
//     Xiao Wenqing <pblz.xm@gmail.com>
//     Yang Kaigui  <justforward.xm@gmail.com>
//     Zheng Jiemin 
//     Zhou Xiyue   <zxy_0725@163.com>
//     Lin Shuyang  <macroxmu@gmail.com>
//   This program is licensed under GPL License;
//


#include "stack-c.h"
#include <stdlib.h>
#include <stdio.h>
#include "string.h"

int int_resize(char *fname)
{

	
	 static int l1,m1,n1,l2,m2,n2,l3,m3,n3,l4,l5,m5,n5;
	 static int  minlhs=3, maxlhs=3,minrhs=8,maxrhs=8;
    int a=0;
   
   int     mw,nw,m,n;
   int     i,j;
   double  x,y;
   int  psdW,psdH,psdR;
   int  count=0;
   int  m4,n4;
   SciIntMat IntMat1;
   SciIntMat IntMat2;
   SciIntMat IntMat3;
	
   SciIntMat RetMat1,tmp1;
   SciIntMat RetMat2,tmp2;
   SciIntMat RetMat3,tmp3;
  
   SciIntMat ReMat1;
   SciIntMat ReMat2;
   SciIntMat ReMat3;
   CheckRhs(minrhs,maxrhs);
   CheckLhs(minlhs,maxlhs);
  
   GetRhsVar(1,"I",&m1,&n1,&IntMat1);
  
   GetRhsVar(2,"I",&m1,&n1,&IntMat2);
  
   GetRhsVar(3,"I",&m1,&n1,&IntMat3);
  
   GetRhsVar(4,"d",&m2,&n2,&l2);
  
   GetRhsVar(5,"d",&m3,&n3,&l3);
 
   GetRhsVar(6,"I",&m5,&n5,&ReMat1);
  
   GetRhsVar(7,"I",&m5,&n5,&ReMat2);
     GetRhsVar(8,"I",&m5,&n5,&ReMat3)
   m4=(int)stk(l2)[0];
   n4=(int)stk(l3)[0];
   
	
               ReMat1.m =IntMat1.m ;
				ReMat1.n =IntMat1.n;
				ReMat1.it =IntMat1.it;
				ReMat1.l =IntMat1.l;
			
				ReMat2.m =IntMat2.m ;
				ReMat2.n =IntMat2.n;
				ReMat2.it =IntMat2.it;
				ReMat2.l =IntMat2.l;
	
				ReMat3.m =IntMat3.m ;
				ReMat3.n =IntMat3.n;
				ReMat3.it =IntMat3.it;
				ReMat3.l =IntMat3.l;
		
			
	      if(!(ReMat1.D))
	      {
					return 0;
				}
  			if(!(ReMat2.D))
					{
						return 0;
					}
				if(!(ReMat3.D))
				{
					return 0;
				}
  psdW=n4/n1;
  psdH=m4/m1;
 
  psdR=psdW>psdH?psdW:psdH;
  	//debug(psdR);
  mw=m1;
  nw=n1;
  while(psdR>1)
  {   
  	        a=1;
       count++;
       psdR=psdR/2;
  }
 
 	tmp1=IntMat1;
	tmp2=IntMat2;
	tmp3=IntMat3;
	RetMat1=IntMat1;
	RetMat2=IntMat2;
	RetMat3=IntMat3;

 while(count)
     {
     	
     
     	   //Ŵ
     	  mw=2*mw;
        nw=2*nw;
        RetMat1.m = tmp1.m;
				RetMat1.n = tmp1.n;
				RetMat1.it = tmp1.it;
				RetMat1.l = tmp1.l;
				RetMat1.D = malloc(sizeof(int)*(mw*nw));
				RetMat2.m = IntMat2.m;
				RetMat2.n = IntMat2.n;
				RetMat2.it = IntMat2.it;
				RetMat2.l = -1;IntMat2.l;
				RetMat2.D = malloc(sizeof(int)*(mw*nw));
				RetMat3.m = IntMat3.m;
				RetMat3.n = IntMat3.n;
				RetMat3.it = IntMat3.it;
				RetMat3.l = -1;IntMat3.l;
				RetMat3.D = malloc(sizeof(int)*(mw*nw));
			
	      if(!(RetMat1.D))
					return 0;
  			if(!(RetMat2.D))
					return 0;
				if(!(RetMat3.D))
					return 0;
				m=mw/2;
				n=nw/2;
     	  for(i=0;i<m;i++)
            for(j=0;j<n;j++)
            {  
            	x=2*i;
          	    y=2*j;
       	      ((unsigned char*)(RetMat1.D))[(int)(x+y*mw)] = ((unsigned char*)(tmp1.D))[i+j*m];
          	  ((unsigned char*)(RetMat2.D))[(int)(x+y*mw)] = ((unsigned char*)(tmp2.D))[i+j*m];
          	  ((unsigned char*)(RetMat3.D))[(int)(x+y*mw)] = ((unsigned char*)(tmp3.D))[i+j*m];  
            }
      
        for(i=0;i<mw;i++)
            for(j=1;j<nw-1;j++)
            {
              if(((unsigned char*)(RetMat1.D))[i+j*mw]==0&&((unsigned char*)(RetMat2.D))[i+j*mw]==0&&((unsigned char*)(RetMat3.D))[i+j*mw]==0)	
            	{
            	     ((unsigned char*)(RetMat1.D))[i+j*mw] = (((unsigned char*)(RetMat1.D))[i+(j-1)*mw]+((unsigned char*)(RetMat1.D))[i+(j+1)*mw])/2;
          	       ((unsigned char*)(RetMat2.D))[i+j*mw] = (((unsigned char*)(RetMat2.D))[i+(j-1)*mw]+((unsigned char*)(RetMat2.D))[i+(j+1)*mw])/2;
          	       ((unsigned char*)(RetMat3.D))[i+j*mw] = (((unsigned char*)(RetMat3.D))[i+(j-1)*mw]+((unsigned char*)(RetMat3.D))[i+(j+1)*mw])/2;
            	}
            } 
   
         for(i=1;i<mw-1;i++)
            for(j=0;j<nw;j++)
            {
              if(((unsigned char*)(RetMat1.D))[i+j*mw]==0&&((unsigned char*)(RetMat2.D))[i+j*mw]==0&&((unsigned char*)(RetMat3.D))[i+j*mw]==0)	
            	{
            	   ((unsigned char*)(RetMat1.D))[i+j*mw] = (((unsigned char*)(RetMat1.D))[i-1+j*mw]+((unsigned char*)(RetMat1.D))[i-1+j*mw])/2;
          	       ((unsigned char*)(RetMat2.D))[i+j*mw] = (((unsigned char*)(RetMat2.D))[i-1+j*mw]+((unsigned char*)(RetMat2.D))[i-1+j*mw])/2;
          	       ((unsigned char*)(RetMat3.D))[i+j*mw] = (((unsigned char*)(RetMat3.D))[i-1+j*mw]+((unsigned char*)(RetMat3.D))[i-1+j*mw])/2;
            	}
            } 
        tmp1=RetMat1;
				tmp2=RetMat2;
				tmp3=RetMat3; 
     	  count--;
     	  if(count!=0)
     	  {
     	  free(RetMat1.D);
				free(RetMat2.D);
				free(RetMat3.D);
			     }
     	 
     	}
  //֮ڵת
  //if((int)stk(l2)[0]=mw&&(int)stk(l3)[0]=nw)//
         
  if(m4<=mw&&n4<=nw)//С
      {
      	 for(i=0;i<m4;i++)
            for(j=0;j<n4;j++)
            { 
              x=i*mw/m4;
          	  y=j*nw/n4;
          	
			    ((unsigned char*)(ReMat1.D))[(int)(i+j*m4)] = ((unsigned char*)(RetMat1.D))[(int)(x+y*mw)]; 
       	      	((unsigned char*)(ReMat2.D))[(int)(i+j*m4)] = ((unsigned char*)(RetMat2.D))[(int)(x+y*mw)];
       	     
          	    ((unsigned char*)(ReMat3.D))[(int)(i+j*m4)] = ((unsigned char*)(RetMat3.D))[(int)(x+y*mw)];
          	 
            }
           
		}
  else if(m4>=mw&&m4<=2*mw&&n4>=nw&&n4<=2*nw)//Ŵ    
      {
         for(i=0;i<mw;i++)
            for(j=0;j<nw;j++)
            {  
              x=i*m4/mw;
          	  y=j*n4/nw;
       	      ((unsigned char*)(ReMat1.D))[(int)(x+y*m4)] = ((unsigned char*)(RetMat1.D))[(int)(i+j*mw)];
          	  ((unsigned char*)(ReMat2.D))[(int)(x+y*m4)] = ((unsigned char*)(RetMat2.D))[(int)(i+j*mw)];
          	  ((unsigned char*)(ReMat3.D))[(int)(x+y*m4)] = ((unsigned char*)(RetMat3.D))[(int)(i+j*mw)];  
            }
            
		}
  else if(m4<=mw&&n4>=nw&&n4<=2*nw)//߶С,ȷŴ
      {
      	for(i=0;i<m4;i++)
            for(j=0;j<nw;j++)
            {  
              x=i*mw/m4;
          	  y=j*n4/nw;
       	      ((unsigned char*)(ReMat1.D))[(int)(i+y*m4)] = ((unsigned char*)(RetMat1.D))[(int)(x+j*mw)];
          	  ((unsigned char*)(ReMat2.D))[(int)(i+y*m4)] = ((unsigned char*)(RetMat2.D))[(int)(x+j*mw)];
          	  ((unsigned char*)(ReMat3.D))[(int)(i+y*m4)] = ((unsigned char*)(RetMat3.D))[(int)(x+j*mw)];  
            }
            
		}
  else if(m4>=mw&&m4<=2*mw&&n4<=nw)//С,߶ȷŴ
     {
      	for(i=0;i<mw;i++)
            for(j=0;j<n4;j++)
            {  
              x=i*m4/mw;
          	  y=j*nw/n4;
       	      ((unsigned char*)(ReMat1.D))[(int)(x+j*m4)] = ((unsigned char*)(RetMat1.D))[(int)(i+y*mw)];
          	  ((unsigned char*)(ReMat2.D))[(int)(x+j*m4)] = ((unsigned char*)(RetMat2.D))[(int)(i+y*mw)];
          	  ((unsigned char*)(ReMat3.D))[(int)(x+j*m4)] = ((unsigned char*)(RetMat3.D))[(int)(i+y*mw)];  
            }
          
		}        


		for(i=0;i<m4;i++)
            for(j=1;j<n4-1;j++)
            {
              if(((unsigned char*)(ReMat1.D))[i+j*m4]==0&&((unsigned char*)(ReMat2.D))[i+j*m4]==0&&((unsigned char*)(ReMat3.D))[i+j*m4]==0)	
            	{
            	     ((unsigned char*)(ReMat1.D))[i+j*m4] = (((unsigned char*)(ReMat1.D))[i+(j-1)*m4]+((unsigned char*)(ReMat1.D))[i+(j+1)*m4])/2;
          	       ((unsigned char*)(ReMat2.D))[i+j*m4] = (((unsigned char*)(ReMat2.D))[i+(j-1)*m4]+((unsigned char*)(ReMat2.D))[i+(j+1)*m4])/2;
          	       ((unsigned char*)(ReMat3.D))[i+j*m4] = (((unsigned char*)(ReMat3.D))[i+(j-1)*m4]+((unsigned char*)(ReMat3.D))[i+(j+1)*m4])/2;
            	}
            } 
         
         for(i=1;i<m4-1;i++)
            for(j=0;j<n4;j++)
            {
              if(((unsigned char*)(ReMat1.D))[i+j*m4]==0&&((unsigned char*)(ReMat2.D))[i+j*m4]==0&&((unsigned char*)(ReMat3.D))[i+j*m4]==0)	
            	{
            	     ((unsigned char*)(ReMat1.D))[i+j*m4] = (((unsigned char*)(ReMat1.D))[i-1+j*m4]+((unsigned char*)(ReMat1.D))[i-1+j*m4])/2;
          	       ((unsigned char*)(ReMat2.D))[i+j*m4] = (((unsigned char*)(ReMat2.D))[i-1+j*m4]+((unsigned char*)(ReMat2.D))[i-1+j*m4])/2;
          	       ((unsigned char*)(ReMat3.D))[i+j*m4] = (((unsigned char*)(ReMat3.D))[i-1+j*m4]+((unsigned char*)(ReMat3.D))[i-1+j*m4])/2;
            	}
            } 
    if(a==1){
        free(RetMat1.D);
	     free(RetMat2.D);
	     free(RetMat3.D);
	}
  ReMat1.m=m4;
  ReMat1.n=n4;
  ReMat2.m=m4;
  ReMat2.n=n4;
  ReMat3.m=m4;
  ReMat3.n=n4;

	CreateVarFromPtr(6,"I",&(ReMat1.m), &(ReMat1.n), &ReMat1 );
	 
  CreateVarFromPtr(7,"I",&(ReMat2.m), &(ReMat2.n), &ReMat2 );
  
  CreateVarFromPtr(8,"I",&(ReMat3.m), &(ReMat3.n), &ReMat3 );
 
	LhsVar(1)=6;
	LhsVar(2)=7;
	LhsVar(3)=8;
	
  return 0;
  
}

