
// load ffmpeg & our libvideo 
olddir = pwd();

evp_libpath = get_absolute_file_path('EVP_loader.sce');
chdir( evp_libpath );

// load vidoe input & output
if MSDOS then
	link(evp_libpath+'avcodec.dll.51');
	link(evp_libpath+'avformat.dll.50');
	link(evp_libpath+'avutil.dll.49');
else 

end;

functions=[ 
	'video_open';
	'video_close';
	'video_read_frame';
	'video_close_all';
	'video_info';
	'video_open_w';
	'video_close_w';
	'video_close_all_w';
	'video_write_frame';
];
if MSDOS then
	addinter(evp_libpath+'libvideo.dll','libvideo',functions);
else

end;

// load opencv & our libimg
if MSDOS then
	link(evp_libpath + 'cxcore097.dll');
	link(evp_libpath + 'cv097.dll');
	link(evp_libpath + 'highgui097.dll');
else

end;

functions=[ 'imread';
            'imwrite';
];
if MSDOS then
	addinter(evp_libpath+'libimg.dll','libimg',functions);
else

end;


// load our imdraw 
functions=[ 'imdraw';
];
if MSDOS then
	addinter(evp_libpath+'libimdraw.dll','libimdraw',functions);
else

end;


// loader filter 
functions=[	
	'mosaic';
	'blur';
	'lap_sharp';
	'gauss_sharp';
];
if MSDOS then
	addinter(evp_libpath+'libfilter.dll','libfilter',functions);
else 

end;


// loader resize & rotate
functions=[ 'resize';
            'rotate';
            'rotate_4';
];
if MSDOS then
	addinter(evp_libpath+'libtransform.dll','libtransform',functions);
else 

end;

// load libtimer on windows
if MSDOS then
functions=[ 'time';
            'sleep';
];
addinter(evp_libpath+'libtime.dll','libtime',functions);


clear evp_libpath;
clear functions;
chdir(olddir);
clear olddir;